<html>
<head>
<script type="text/javascript">
function calcular(frm) {
  n1 = parseFloat(frm.nota1.value);
  n2 = parseFloat(frm.nota2.value);
  n3 = parseFloat(frm.nota3.value);
  if(isNaN(n1)) n1=0;
  if(isNaN(n2)) n2=0;
  if(isNaN(n3)) n3=0;
  frm.total.value = n1 + n2 + n3;
}
</script>
</head>
<body>
<form>
<input type="text" name="nota1" onkeyup="calcular(this.form)" />
<input type="text" name="nota2" onkeyup="calcular(this.form)" />
<input type="text" name="nota3" onkeyup="calcular(this.form)" />
<input type="text" name="total" readonly="readonly" /> 
</form>
</body>
</html> 